From 445eaa43d32316334c33623865b8c338b6677190 Mon Sep 17 00:00:00 2001
From: Isira Seneviratne <isirasen96@gmail.com>
Date: Sun, 18 Aug 2019 16:14:34 +0530
Subject: [PATCH v2 1/3] cabinet/tests: Alter string declaration to include
 null terminator.

During the build process, GCC returned a warning that fdi.c contained a string missing a null terminator.

Signed-off-by: Isira Seneviratne <isirasen96@gmail.com>
---
 dlls/cabinet/tests/fdi.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dlls/cabinet/tests/fdi.c b/dlls/cabinet/tests/fdi.c
index 1f1c6e275d..732f816bda 100644
--- a/dlls/cabinet/tests/fdi.c
+++ b/dlls/cabinet/tests/fdi.c
@@ -776,7 +776,7 @@ static UINT CDECL fdi_mem_read(INT_PTR hf, void *pv, UINT cb)
 
 static UINT CDECL fdi_mem_write(INT_PTR hf, void *pv, UINT cb)
 {
-    static const char expected[12] = "Hello World!";
+    static const char expected[] = "Hello World!";
 
     trace("mem_write(%#lx,%p,%u)\n", hf, pv, cb);
 
-- 
2.22.1

